{repo}.json: GitHub repository star count (JSON)

API: shields.io:shields
Endpoint: /github/stars/{owner}/{repo}.json
Response format: application/json
Auth: none
Method: GET
Last Status: 200
Latency: 588ms

Description

Get star count data in JSON format.

Parameters (2)

owner (string, path, required)

GitHub repository owner username

repo (string, path, required)

GitHub repository name

Examples (1)

GitHub repository star count (JSON) openapi-spec
curl 'https://img.shields.io/github/stars/badges/shields.json'
import requests

resp = requests.get("https://img.shields.io/github/stars/badges/shields.json")
data = resp.json()
import zingu_apis

api = zingu_apis.api("shields")
result = api.fetch("github/stars/{owner}/{repo}.json")

for item in result:
    print(item)
const resp = await fetch("https://img.shields.io/github/stars/badges/shields.json");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 00:54:52.970616 200 588ms
2026-04-15 00:59:37.483434 200 398ms
2026-04-14 03:17:22.585634 200 620ms
2026-04-12 16:42:06.690676 200 419ms
2026-04-10 03:17:11.481733 200 365ms